GridFire 0.0.1a General Purpose Nuclear Network

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
gridfire::expectations::StaleEngineError Struct Reference

`#include <expected_engine.h>`

Inheritance diagram for gridfire::expectations::StaleEngineError:

## Public Member Functions
| StaleEngineError (const StaleEngineErrorTypes sType)
| operator std::string () const
Public Member Functions inherited from gridfire::expectations::EngineError
| EngineError (const std::string &message, const EngineErrorTypes type)
virtual | ~EngineError ()=default

## Public Attributes
StaleEngineErrorTypes | staleType
Public Attributes inherited from gridfire::expectations::EngineError
std::string | m_message
const EngineErrorTypes | type = EngineErrorTypes::FAILURE

## Detailed Description

Definition at line 44 of file expected_engine.h.

## Constructor & Destructor Documentation

## ◆ StaleEngineError()

gridfire::expectations::StaleEngineError::StaleEngineError | ( | const StaleEngineErrorTypes | sType | ) |
| inline explicit

Definition at line 47 of file expected_engine.h.

## Member Function Documentation

## ◆ operator std::string()

gridfire::expectations::StaleEngineError::operator std::string | ( |  | ) | const
| inline explicit

Definition at line 50 of file expected_engine.h.

## Member Data Documentation

## ◆ staleType

StaleEngineErrorTypes gridfire::expectations::StaleEngineError::staleType

Definition at line 45 of file expected_engine.h.

The documentation for this struct was generated from the following file:

- src/include/gridfire/expectations/expected_engine.h